[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.SetVisible

Sets the value for the Visible property.

## Declaration

Source position: menus.pp line 253

`protected procedure TMenuItem.SetVisible(`
`AValue: Boolean`
`);`

## Arguments

`AValue` |  | New value for the Visible property.

## Description

When the new property value is True, a valid Handle is needed for both the menu item and its Parent (when assigned). HandleNeeded is called to allocate a handle if it does not already exist.

The widgetset class is notified of a change to the property value.

When the new property value is False, the Handle is freed by calling the DestroyHandle method.

When MergedParent has been assigned, its InvalidateMergedItems method is called to free the MergedItems for the menu item.

## See also

TMenuItem.Visible |  | Indicates whether the menu item is visible (True) or hidden (False).